ezmlm-issubn(1)

NAME
ezmlm-issubn - test to see if an address is subscribed to a mailing list

SYNOPSIS
ezmlm-issubn [ -nN ] dir [ subdir1 ... ]

DESCRIPTION
ezmlm-issubn checks to see if the address obtained from the environment variable SENDER is subscribed to the mailing list stored in dir/subdir1 or the mailing list in dir/subdir2 or ... If SENDER is not defined ezmlm-issubn exits with an error. If SENDER is on [any of] the mailing list[s], ezmlm-issubn exits with a zero exit code. If box@domain is not on the mailing list, ezmlm-issubn exits 99. This exit code is non-success from a shell point of view, but to qmail it means "success" and skip remaining lines in the .qmail file. Thus, a simple way to execute a delivery if the criteria are met is to place the ezmlm-issubn line first, followed by the action line(s). If SENDER is a subscriber, the action line is executed, if not, the line is ignored without the generation of an error condition. To generate a fatal error, just:
    |/path/ezmlm-issubn
    dir ...
    || (echo "err msg"; exit 100)
    |/path/action_for_subscribers
    |/path/more_for_subscribers
ezmlm-issubn exits 100 on permanent and 111 on temporary errors.

OPTIONS

-n  Negate exit code. Exit 99 if SENDER is a subscriber and exit 0 if not. This is useful when trying to exclude SENDERs.

-N  (Default.) Normal exit codes: 0 is the address is in any of the lists, 99 if not.

NOTES
The use of ezmlm-issubn is deprecated. Use ezmlm-checksub instead. To maintain backwards compatibility, if dir1 (or more) are present on the command line and are all absolute paths, ezmlm-issubn examines each of the directories for the sender. Otherwise, it only examines the named subdirectories within dir.

SEE ALSO
ezmlm-checksub(1), ezmlm-list(1), ezmlm-manage(1), ezmlm-make(1), ezmlm-send(1), ezmlm-sub(1), ezmlm-unsub(1), ezmlm(5)